import os.path

def subpath(rootpath, subpath):
    """
    Returns a normalized subpath of the given rootpath
    """

    path = os.path.join(rootpath, subpath)
    path = os.path.normpath(path)

    if not os.path.commonprefix([rootpath, path]) == rootpath:
        return rootpath

    return path
